# Retrieve journey statistics

Retrieve the specified journey statistics.

Endpoint: GET /entities/journeys/{journeyId}/statistics
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `journeyId` (integer, required)
    Journey ID

## Response 200 fields (application/vnd.treasuredata.v1+json):

  - `data` (object, required)

  - `data.id` (string, required)

  - `data.type` (string, required)
    Enum: "journeyStatistic"

  - `data.attributes` (object, required)

  - `data.attributes.size` (number, required)

  - `data.attributes.goalSize` (number, required)

  - `data.attributes.enteredSize` (number, required)

  - `data.attributes.completionRate` (number, required)

  - `data.attributes.exitOrJumpSize` (number, required)

  - `data.attributes.exitOrJumpRate` (number, required)

  - `data.attributes.history` (array, required)

  - `data.attributes.history.updatedAt` (string, required)

  - `data.attributes.history.size` (number, required)

  - `data.attributes.history.entryInflux` (number, required)

  - `data.attributes.history.goalInflux` (number, required)

  - `data.attributes.history.exitInflux` (number, required)

  - `data.attributes.history.jumpInflux` (number, required)

  - `data.attributes.journeyStageStatistics` (array, required)

  - `data.attributes.journeyStageStatistics.id` (string, required)

  - `data.attributes.journeyStageStatistics.enteredSize` (number, required)

  - `data.attributes.journeyStageStatistics.milestoneSize` (number, required)

  - `data.attributes.journeyStageStatistics.completeMilestoneRate` (number, required)

  - `data.attributes.journeyStageStatistics.exitOrJumpSize` (number, required)

  - `data.attributes.journeyStageStatistics.exitOrJumpRate` (number, required)

  - `data.attributes.journeyStageStatistics.history` (array, required)

  - `data.attributes.journeyStageStatistics.history.updatedAt` (string, required)

  - `data.attributes.journeyStageStatistics.history.journeyStageId` (string, required)

  - `data.attributes.journeyStageStatistics.history.size` (number, required)

  - `data.attributes.journeyStageStatistics.history.exitSizes` (array,null, required)

  - `data.attributes.journeyStageStatistics.history.entryInflux` (number, required)

  - `data.attributes.journeyStageStatistics.history.milestoneInflux` (number, required)

  - `data.attributes.journeyStageStatistics.history.exitInflux` (number, required)

  - `data.attributes.journeyStageStatistics.history.jumpInflux` (number, required)

  - `data.attributes.journeyStageStatistics.stepSizes` (object, required)
    Current number of profiles in each step (blocking and wait steps)
    Example: {"wait_step_abc123":150,"activation_def456":75}

  - `data.attributes.journeyStageStatistics.stepInfluxes` (object, required)
    Number of profiles entering each step at the current timestamp
    Example: {"wait_step_abc123":25,"activation_def456":12}

  - `data.attributes.journeyStageStatistics.size` (number, required)
    Current total number of profiles in this stage

  - `data.attributes.simulationLog` (object,null)

  - `data.attributes.simulationLog.simulationLaunchedAt` (string,null)

  - `data.attributes.simulationLog.parentSegmentRefreshStartedAt` (string,null)

  - `data.attributes.simulationLog.parentSegmentRefreshFinishedAt` (string,null)

  - `data.attributes.simulationLog.journeyWorkflowStartedAt` (string,null)

  - `data.attributes.simulationLog.journeyWorkflowFinishedAt` (string,null)

  - `included` (array, required)

  - `included.id` (string, required)

  - `included.type` (string, required)
    Enum: "user"

  - `included.attributes` (object, required)

  - `included.attributes.tdUserId` (string, required)

  - `included.attributes.name` (string, required)

## Response 403 fields (application/json):

  - `errors` (string, required)


